<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetNodesFormulas](./bitburner.hacknetnodesformulas.md) &gt; [moneyGainRate](./bitburner.hacknetnodesformulas.moneygainrate.md)

## HacknetNodesFormulas.moneyGainRate() method

Calculate money gain rate.

**Signature:**

```typescript
moneyGainRate(level: number, ram: number, cores: number, mult?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

level


</td><td>

number


</td><td>

level of the node.


</td></tr>
<tr><td>

ram


</td><td>

number


</td><td>

ram of the node.


</td></tr>
<tr><td>

cores


</td><td>

number


</td><td>

cores of the node.


</td></tr>
<tr><td>

mult


</td><td>

number


</td><td>

_(Optional)_ player production mult (default to 1)


</td></tr>
</tbody></table>

**Returns:**

number

The calculated money gain rate.

